@import 'src/components/rem';

.common {
    display: inline-block;
    color: var(--btn-blue-700);
    cursor: pointer;
    padding: 0 rem(4px);
    border-radius: rem(4px);
    line-height: 24px;
    justify-self: start;

    &:hover {
        background: var(--color-gray);
    }
}

.base {
    display: grid;
    grid-template-columns: rem(180px) auto;
    grid-column-gap: rem(16px);

    align-self: center;

    @media screen and (max-width: 769px) {
        display: block;
    }
}

.controls {
    display: flex;
    align-items: center;

    a {
        margin-right: rem(16px);
    }
}

.show {
    @extend .common;

    margin-right: rem(12px);
}

.cancel {
    @extend .common;
}

.tooltip {
    position: relative;
    display: inline-block;
}

.content {
    position: absolute;
    top: rem(26px);

    padding: rem(8px) rem(12px);
    background: var(--color-white);

    box-shadow: var(--small-shadow);
    border-radius: rem(4px);
    white-space: nowrap;
    cursor: default;
}

.title {
    margin-bottom: rem(4px);
}

.reason {
    color: var(--btn-blue-700);
    cursor: pointer;
}

.loading {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: rem(78px);
    min-height: rem(24px);
    background: var(--color-gray);

    svg {
        * {
            fill: var(--color-gray-500)
        }
    }
}

.error {
    * {
        fill: var(--color-red-700);
    }
}
